Notepad x64 with Wine on Mac works but newer versions getting errors



  • Following the instructions here I was able to get Notepad working on my Mac running Catalina 10.15. However, the only version of Notepad I have been able to get to work was the one listed in these threads - version 7.0 x64 :

    https://community.notepad-plus-plus.org/topic/18948/notepad-for-mac

    All other newer versions throw errors and I am hoping some here can help me get a newer version working.

    I have tried several versions, all seem to throw the same set of errors.

    1) DLL Signature verification failed: Unknown exception occurred, File not found
    
    2) Library verification failed: Authenticode check failed: signing certificate or hash is not recognized
    
    3) Win32Exception - an exception occurred.  Notepadd++ cannot recover from and must shut down"
    
    4) Exception On WM_CREATE: ScintillaEditView::init: SCINTILLA ERROR - cannot load the dynamic library
    

    Some of the newer versions I tried that weren’t working did have the 'scilexer.dll` file in the install. I read elsewhere that this file was causing similar errors with locally compiled versions of Notepad - but those seemed to be on windows machines.

    Any ideas?



  • And if Notepad x64 7.0 (npp.7.bin.x64) is the only version that will work, maybe someone can show me how to enable the Plugin Manager so I can load a few basic plugins - its not listed in the PLUGINS section.


Log in to reply